// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../../../../in/request/FormatValidation";
export default class ForceRedeemRequest extends ValidatedRequest {
    securityId;
    sourceId;
    amount;
    constructor({ sourceId, amount, securityId }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            sourceId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            amount: FormatValidation.checkAmount(),
        });
        this.securityId = securityId;
        this.sourceId = sourceId;
        this.amount = amount;
    }
}
